#if !defined(AFX_DELETEACCESSLEVEL_H__063CC375_4C89_4337_9341_557CBEAA0F58__INCLUDED_)
#define AFX_DELETEACCESSLEVEL_H__063CC375_4C89_4337_9341_557CBEAA0F58__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DeleteAccessLevel.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDeleteAccessLevel dialog

class CDeleteAccessLevel : public CDialog
{
// Construction
public:
	CDeleteAccessLevel(CWnd* pParent = NULL);   // standard constructor
	CDeleteAccessLevel(IApplication *pApp);

// Dialog Data
	//{{AFX_DATA(CDeleteAccessLevel)
	enum { IDD = IDD_ACCESS_DELETE };
	CButton	m_BtnReassign;
	CComboBox	m_Reassign_AcclList;
	CListBox	m_assciateCards;
	CComboBox	m_AcctList;
	CComboBox	m_SubAcctList;
	CComboBox	m_AcclList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDeleteAccessLevel)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDeleteAccessLevel)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnSelchangeSubAcctlist();
	afx_msg void OnDelete();
	afx_msg void OnIsolate();
	afx_msg void OnSelchangeAccllist();
	afx_msg void OnReassign();
	afx_msg void OnSetfocusAcctlist();
	afx_msg void OnSetfocusAccllist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	void LoadAccounts();
	void LoadSubAccounts(long lAcctID);
	void LoadAccessLevels();
	void LoadAssociatedCardList();
	void LoadReassignAccessLevels();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DELETEACCESSLEVEL_H__063CC375_4C89_4337_9341_557CBEAA0F58__INCLUDED_)
